Method: accounts.contracts.list

Lists the contracts for a given account.

HTTP request

GET https://merchantapi.googleapis.com/youtube/v1alpha/{parent=accounts/*}/contracts

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. The account to list contracts for. Format: accounts/{account}

Query parameters

Parameters
pageSize

integer

Optional. The maximum number of contracts to return. The service may return fewer than this value. If unspecified, at most 100 contracts will be returned. The maximum value is 100; values above 100 will be coerced to 100.

pageToken

string

Optional. A page token, received from a previous contracts.list call. Provide this to retrieve the subsequent page.

When paginating, all other parameters provided to contracts.list must match the call that provided the page token.

Request body

The request body must be empty.

Response body

Response message for the contracts.list method.

If successful, the response body contains data with the following structure:

JSON representation
{
  "contracts": [
    {
      object (Contract)
    }
  ],
  "nextPageToken": string
}
Fields
contracts[]

object (Contract)

The contracts for the specified account.

nextPageToken

string

A token, which can be sent as pageToken to retrieve the next page. If this field is omitted, there are no subsequent pages.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/content

For more information, see the OAuth 2.0 Overview.